SYNC(8)

NOM
sync - Synchroniser les données sur le disque avec celles en mémoire

SYNOPSIS
sync [--help] [--version]

DESCRIPTION
La commande sync écrit sur le disque toutes les données dans les tampons en mémoire. Ceci inclut entre autres les superblocs modifiés, les inœuds modifiées et les lectures et écritures différées. Ceci doit être implémenté dans le noyau, le programme sync ne fait rien d'autre que d'invoquer l'appel système sync(2).

Le noyau garde des données en mémoire pour éviter d'avoir à faire trop de lectures et écritures (relativement lentes) sur le disque. Ceci améliore sensiblement les performances, mais si l'ordinateur se plante, des données peuvent être perdues, ou le système de fichiers peut être endommagé. sync garantit que tout ce qui se trouve en mémoire est écrit sur le disque.

Normalement, sync devrait être appelé avant que le processeur ne soit arrêté de manière anormale (par exemple avant de déclencher une panique du noyau lors du débogage d'un nouveau code du noyau). En général, le processeur doit être arrêté avec les commandes shutdown(8), reboot(8) ou halt(8), qui tentent de mettre le système dans un état calme, avant d'appeler sync(2). (Il existe plusieurs implémentations de ces commandes, consultez la documentation de votre distribution, car sur certains systèmes, il ne faut pas appeler reboot(8) ou halt(8) directement.)

OPTIONS

--help
    Afficher un message d'aide sur la sortie standard et terminer normalement.

--version
    Afficher le numéro de version sur la sortie standard et terminer normalement.

--  Terminer la liste des options.

ENVIRONNEMENT
Les variables d'environnement LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leur signification habituelle.

CONFORMITÉ
POSIX.2.

NOTES
Sous Linux, sync garantit seulement que l'écriture des blocs modifiés est programmée. Il peut y avoir un petit retard entre le retour de l'appel système et l'écriture effective. Les commandes reboot(8) et halt(8) gèrent ceci en se mettant en pause quelques secondes après l'invocation de sync(2).

Cette page décrit la commande sync telle qu'elle est fournie dans le paquet fileutils-4.0. D'autres versions peuvent être légèrement différentes.

VOIR AUSSI
sync(2), halt(8), reboot(8), update(8)

COLOPHON
Cette page fait partie de la publication 3.40 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies peuvent être trouvées à l'adresse <URL:http://www.kernel.org/doc/man-pages/>.

TRADUCTION
Depuis 2010, cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe de traduction francophone au sein du projet perkamon <URL:http://perkamon.alioth.debian.org/>.

Christophe Blaess <URL:http://www.blaess.fr/christophe/> (1996-2003), Alain Portal <URL:http://manpagesfr.free.fr/> (2003-2006). Thomas Huriaux et l'équipe francophone de traduction de Debian (2006-2009).

Veuillez signaler toute erreur de traduction en écrivant à <perkamon-fr@traduc.org>.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « LC_ALL=C man <section> <page_de_man> ».